* {
    box-sizing: border-box;
}

html {
    font-family: Arial, Helvetica, sans-serif;
}

/* TASK 01: Box Chat */
.boxchat {
    width: 280px;
    border: 1px solid #ddd;
    border-radius: 10px;
}

.boxchat_header {
    padding: 10px;
    font-weight: bold;
    border-bottom: 1px solid #ddd;
    font-size: 14px;
}

.boxchat_header .avatar {
    display: inline-block;
    width: 32px;
    height: 32px;
    text-align: center;
    line-height: 32px;
    background-color: #942d94;
    color: #eee;
    border-radius: 50%;
    margin-right: 10px;
}

.boxchat_body {
    padding: 10px 10px 20px 10px;
    display: flex;
    flex-direction: column;
    row-gap: 9px;
}

.boxchat_body .message {
    padding: 5px 5px 5px 10px;
    border-radius: 15px;
    width: 220px;

}

.boxchat_body .outgoing {
    background-color: #ddd;
}

.boxchat_body .incoming {
    background-color: #942d94;
    color: #eee;
    margin-left: auto;
}

.boxchat_footer {
    border-top: 1px solid #ddd;
    padding: 10px;
}

.boxchat_footer .inner-form input[type="text"] {
    height: 24px;
    width: 210px;
    border: 1px solid #ddd;
    border-radius: 20px;
    margin-right: 5px;
    padding: 0 10px;
    outline: none;
}

.boxchat_footer .inner-form button {
    height: 25px;
    background: #942d94;
    padding: 0 10px;
    border: 1px solid #942d94;
    border-radius: 15px;
    outline: none;
    cursor: pointer;
}

/* END TASK 01 */


/* Task 02: Product Category List */

.category-list {
    display: flex;
    flex-wrap: wrap;
    gap: 10px 5px;
}

.category-list .category-card {
    width: 200px;
    border: 1px solid #ddd;
    border-radius: 10px;
    padding: 10px;
    margin: 0 10px 10px 0;
    text-align: center;
    font-weight: bolder;
    font-size: 14px;
}

.category-card img {
    height: 100px;
    width: auto;
}

/* Task 02: End Product Category List*/

/* Task 03: Product List */

.product-list {
    display: flex;
    flex-wrap: wrap;
    gap: 10px 5px;
}

.product-list .product-item {
    width: 250px;
    padding: 5px;
    border: 1px solid #ddd;
}

.product-list .product-item .inner-image img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    aspect-ratio: 1/1;
    margin-bottom: 10px;
}

.product-list .product-item .inner-content {
    padding: 10px 5px;
}

.product-list .product-item .inner-content .inner-title {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 10px;
}

.product-list .product-item .inner-content .inner-discountedPrice {
    font-size: 18px;
    font-weight: bold;
    color: green;
    margin-bottom: 5px;
}

.product-list .product-item .inner-content .inner-price {
    color: red;
    text-decoration: line-through;
    margin-bottom: 5px;
}

.product-list .product-item .inner-content .inner-discountPercentage {
    color: purple;
    font-size: 18px;
    font-weight: bold;
}

/* Task 03: End Product List */